vim.o.undofile = true
vim.o.clipboard = "unnamedplus"
vim.o.laststatus = 0
vim.opt.expandtab = true
vim.opt.shiftwidth = 4
vim.opt.softtabstop = -1
vim.opt.number = true
vim.cmd("colorscheme retrobox | highlight Normal guifg=#ffaf00 guibg=#282828")
vim.keymap.set('n', '<space>y', function() 
    vim.fn.setreg('+', vim.fn.expand('%:p')) 
end)

vim.keymap.set("n", "<space>c", function()
  vim.ui.input({}, function(c)
      if c and c~="" then
        vim.cmd("noswapfile vnew")
        vim.bo.buftype = "nofile"
        vim.bo.bufhidden = "wipe"
        vim.api.nvim_buf_set_lines(0, 0, -1, false, vim.fn.systemlist(c))
      end
  end)
end)

vim.cmd("syntax on")
vim.cmd("set rtp+=/opt/homebrew/opt/fzf")

vim.keymap.set("n", "<space><space>", function()
    vim.cmd("FZF")
end)

vim.keymap.set("n", "<esc>", function()
    vim.cmd("noh")
end)

vim.keymap.set("n", "<space>l", function()
    vim.cmd("!ls")
end)
